use crate::{status::StatusManager, storage::Storage};

#[derive(Debug)]
pub struct Config<S>
where
    S: Storage + Sync + Send,
{
    pub storage: S,
    pub status: StatusManager,
}

impl<S> From<S> for Config<S>
where
    S: Storage + Sync + Send,
{
    fn from(storage: S) -> Self {
        Self {
            storage,
            status: StatusManager::default(),
        }
    }
}
